Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_node_decode

## Name

librdf_node_decode -- Deserialise a node from a buffer

## Synopsis

``librdf_node* `librdf_node_decode`` (librdf_world * `world`, size_t* `size_p`, unsigned char * `buffer`, size_t `length`);`

## Arguments

`world`

  librdf_world

`size_p`

  pointer to bytes used or NULL

`buffer`

  the buffer to use

`length`

  buffer size

## Description

Decodes the serialised node (as created by `librdf_node_encode` ) from the given buffer.

## Return value

new node or NULL on failure (bad encoding, allocation failure)

<<< Previous | Home | Next >>>
librdf_node_encode | Up | librdf_node_static_iterator_create